> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coderabbit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Role permissions

> Lists the valid resource_id and access_type values that can be used when creating or updating Enterprise custom roles.

export const EnterprisePlanBadge = ({tip = "This feature is available exclusively as part of the Enterprise plan. Please refer to our pricing page for more information about our plans and features.", title = "Enterprise Plan", cta = "Read more", href = "https://coderabbit.ai/pricing", disabled = false}) => {
  return <Tooltip tip={tip} cta={cta} href={href}>
        <Badge icon="building-2" disabled={disabled || undefined}>
            {title}
        </Badge>
    </Tooltip>;
};

<EnterprisePlanBadge />

Lists the valid `resource_id` and `access_type` values that can be used when creating or updating Enterprise custom roles.

For more information, see [Role-based access](/management/roles).


## OpenAPI

````yaml get /v1/roles/permissions
openapi: 3.0.3
info:
  title: CodeRabbit API spec
  version: 1.0.0
servers:
  - url: https://api.coderabbit.ai
security:
  - ApiKeyAuth: []
paths:
  /v1/roles/permissions:
    get:
      tags:
        - Role Management
      summary: List role permission options
      description: >-
        Lists the valid resource_id and access_type values that can be used when
        creating or updating Enterprise custom roles.
      operationId: list-role-permission-options
      responses:
        '200':
          description: Successfully retrieved role permission options
          content:
            application/json:
              schema:
                type: object
                required:
                  - resource_ids
                  - access_types
                properties:
                  resource_ids:
                    type: array
                    items:
                      type: string
                    example:
                      - repository_management
                      - user_management
                      - role_management
                  access_types:
                    type: array
                    items:
                      type: string
                      enum:
                        - read
                        - write
                        - delete
                    example:
                      - read
                      - write
                      - delete
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-coderabbitai-api-key
      description: >-
        API key for authentication. You can create an API key from the
        CodeRabbit dashboard.

````